Bug 1476328 - [abrt] policycoreutils-devel: tab_change(): gui.py:1343:tab_change:AttributeError: 'SELinuxGui' object has no attribute 'mislabeled_files'
[abrt] policycoreutils-devel: tab_change(): gui.py:1343:tab_change:AttributeE...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c0d47db0c70810e0d5031a82a78...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-28 12:05 EDT by johan
Modified: 2018-03-06 12:22 EST (History)
5 users (show)

See Also:
Fixed In Version: policycoreutils-2.7-5.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-06 12:22:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (539 bytes, text/plain)
2017-07-28 12:06 EDT, johan
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-28 12:06 EDT, johan
no flags Details
File: cpuinfo (1.12 KB, text/plain)
2017-07-28 12:06 EDT, johan
no flags Details
File: environ (1.47 KB, text/plain)
2017-07-28 12:06 EDT, johan
no flags Details
File: mountinfo (3.35 KB, text/plain)
2017-07-28 12:06 EDT, johan
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-28 12:06 EDT, johan
no flags Details
File: open_fds (1.34 KB, text/plain)
2017-07-28 12:06 EDT, johan
no flags Details

  None (edit)
Description johan 2017-07-28 12:05:58 EDT
Description of problem:
Run (gui) tool, filter on 'blue', click 'Files' tab/button. Error reported, application appears still to be running.

Version-Release number of selected component:
policycoreutils-devel-2.6-5.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 -Es /usr/bin/sepolicy gui
crash_function: tab_change
exception_type: AttributeError
executable:     /usr/bin/sepolicy
kernel:         4.11.11-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1001

Truncated backtrace:
gui.py:1343:tab_change:AttributeError: 'SELinuxGui' object has no attribute 'mislabeled_files'

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/sepolicy/gui.py", line 1343, in tab_change
    self.show_mislabeled_files_only.set_visible(self.mislabeled_files)
AttributeError: 'SELinuxGui' object has no attribute 'mislabeled_files'

Local variables in innermost frame:
args: (<Gtk.RadioButton object at 0x7faf53cfe318 (GtkRadioButton at 0x560aaa3507d0)>,)
self: <sepolicy.gui.SELinuxGui object at 0x7faf5e5bd1d0>
Comment 1 johan 2017-07-28 12:06:06 EDT
Created attachment 1305988 [details]
File: backtrace
Comment 2 johan 2017-07-28 12:06:08 EDT
Created attachment 1305989 [details]
File: cgroup
Comment 3 johan 2017-07-28 12:06:09 EDT
Created attachment 1305990 [details]
File: cpuinfo
Comment 4 johan 2017-07-28 12:06:10 EDT
Created attachment 1305991 [details]
File: environ
Comment 5 johan 2017-07-28 12:06:12 EDT
Created attachment 1305992 [details]
File: mountinfo
Comment 6 johan 2017-07-28 12:06:14 EDT
Created attachment 1305993 [details]
File: namespaces
Comment 7 johan 2017-07-28 12:06:15 EDT
Created attachment 1305994 [details]
File: open_fds
Comment 8 Fedora Update System 2018-02-22 07:06:45 EST
policycoreutils-2.7-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-108cf7dc52
Comment 9 Fedora Update System 2018-02-23 11:57:04 EST
policycoreutils-2.7-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-108cf7dc52
Comment 10 Fedora Update System 2018-03-06 12:22:21 EST
policycoreutils-2.7-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.